glibmm: Gio::ZlibDecompressor Class Reference

glibmm 2.51.7

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::ZlibDecompressor Class Reference

ZlibDecompressor - Zlib decompressor. More...

`#include <giomm/zlibdecompressor.h>`

Inheritance diagram for Gio::ZlibDecompressor:
[legend]

## Public Member Functions
| ZlibDecompressor (ZlibDecompressor&& src) noexcept
ZlibDecompressor& | operator= (ZlibDecompressor&& src) noexcept
| ~ZlibDecompressor () noexcept override
GZlibDecompressor* | gobj ()
| Provides access to the underlying C GObject. More...
const GZlibDecompressor* | gobj () const
| Provides access to the underlying C GObject. More...
GZlibDecompressor* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< FileInfo > | get_file_info ()
| Retrieves the FileInfo constructed from the GZIP header data of compressed data processed by compressor, or `nullptr` if decompressor's ZlibDecompressor::property_format() property is not ZLIB_COMPRESSOR_FORMAT_GZIP, or the header data was not fully processed yet, or it not present in the data stream at all. More...
Glib::RefPtr< const FileInfo > | get_file_info () const
| Retrieves the FileInfo constructed from the GZIP header data of compressed data processed by compressor, or `nullptr` if decompressor's ZlibDecompressor::property_format() property is not ZLIB_COMPRESSOR_FORMAT_GZIP, or the header data was not fully processed yet, or it not present in the data stream at all. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< FileInfo > > | property_file_info () const
| A FileInfo containing the information found in the GZIP header of the data stream processed, or `nullptr` if the header was not yet fully processed, is not present at all, or the compressor's ZlibDecompressor::property_format() property is not ZLIB_COMPRESSOR_FORMAT_GZIP. More...
Glib::PropertyProxy_ReadOnly< ZlibCompressorFormat > | property_format () const
| The format of the compressed data. More...
Public Member Functions inherited from Glib::Object
| Object (const Object&)=delete
Object& | operator= (const Object&)=delete
| Object (Object&& src) noexcept
Object& | operator= (Object&& src) noexcept
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase&)=delete
ObjectBase& | operator= (const ObjectBase&)=delete
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | connect_property_changed (const Glib::ustring& property_name, sigc::slot< void >&& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, sigc::slot< void >&& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gio::Converter
| Converter (Converter&& src) noexcept
Converter& | operator= (Converter&& src) noexcept
| ~Converter () noexcept override
GConverter* | gobj ()
| Provides access to the underlying C GObject. More...
const GConverter* | gobj () const
| Provides access to the underlying C GObject. More...
ConverterResult | convert (const void* inbuf, gsize inbuf_size, void* outbuf, gsize outbuf_size, ConverterFlags flags, gsize& bytes_read, gsize& bytes_written)
| This is the main operation used when converting data. More...
void | reset ()
| Resets all internal state in the converter, making it behave as if it was just created. More...
virtual ConverterResult | convert_vfunc (const void* inbuf, gsize inbuf_size, void* outbuf, gsize outbuf_size, ConverterFlags flags, gsize& bytes_read, gsize& bytes_written)
virtual void | reset_vfunc ()
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (Interface&& src) noexcept
Interface& | operator= (Interface&& src) noexcept
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
| ~Interface () noexcept override
| Interface (const Interface&)=delete
Interface& | operator= (const Interface&)=delete
GObject* | gobj ()
const GObject* | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< ZlibDecompressor > | create (ZlibCompressorFormat format)
| Creates a new ZlibDecompressor. More...
Static Public Member Functions inherited from Gio::Converter
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| ZlibDecompressor (ZlibCompressorFormat format)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
| ObjectBase (ObjectBase&& src) noexcept
ObjectBase& | operator= (ObjectBase&& src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject* castitem)
void | initialize_move (GObject* castitem, Glib::ObjectBase* previous_wrapper)
Protected Member Functions inherited from Gio::Converter
| Converter ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::ZlibDecompressor > | wrap (GZlibDecompressor* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::Converter
Glib::RefPtr< Gio::Converter > | wrap (GConverter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
using | DestroyNotify = void(*)(gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

ZlibDecompressor - Zlib decompressor.

ZlibDecompressor is an implementation of Converter that decompresses data compressed with zlib.

Since glibmm 2.34:

## Constructor & Destructor Documentation

## ◆ ZlibDecompressor() [1/2]

Gio::ZlibDecompressor::ZlibDecompressor | ( | ZlibDecompressor&& | src | ) |
| noexcept

## ◆ ~ZlibDecompressor()

Gio::ZlibDecompressor::~ZlibDecompressor | ( |  | ) |
| overridenoexcept

## ◆ ZlibDecompressor() [2/2]

Gio::ZlibDecompressor::ZlibDecompressor | ( | ZlibCompressorFormat | format | ) |
| explicitprotected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr<ZlibDecompressor> Gio::ZlibDecompressor::create | ( | ZlibCompressorFormat | format | ) |
| static

Creates a new ZlibDecompressor.

Since glibmm 2.24:

Parameters

  format | The format to use for the compressed data.

Returns
  A new ZlibDecompressor.

## ◆ get_file_info() [1/2]

Glib::RefPtr<FileInfo> Gio::ZlibDecompressor::get_file_info | ( |  | ) |

Retrieves the FileInfo constructed from the GZIP header data of compressed data processed by compressor, or `nullptr` if decompressor's ZlibDecompressor::property_format() property is not ZLIB_COMPRESSOR_FORMAT_GZIP, or the header data was not fully processed yet, or it not present in the data stream at all.

Since glibmm 2.26:

Returns
  A FileInfo, or `nullptr`.

## ◆ get_file_info() [2/2]

Glib::RefPtr<const FileInfo> Gio::ZlibDecompressor::get_file_info | ( |  | ) | const

Retrieves the FileInfo constructed from the GZIP header data of compressed data processed by compressor, or `nullptr` if decompressor's ZlibDecompressor::property_format() property is not ZLIB_COMPRESSOR_FORMAT_GZIP, or the header data was not fully processed yet, or it not present in the data stream at all.

Since glibmm 2.26:

Returns
  A FileInfo, or `nullptr`.

## ◆ get_type()

static GType Gio::ZlibDecompressor::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GZlibDecompressor* Gio::ZlibDecompressor::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GZlibDecompressor* Gio::ZlibDecompressor::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GZlibDecompressor* Gio::ZlibDecompressor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

ZlibDecompressor& Gio::ZlibDecompressor::operator= | ( | ZlibDecompressor&& | src | ) |
| noexcept

## ◆ property_file_info()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<FileInfo> > Gio::ZlibDecompressor::property_file_info | ( |  | ) | const

A FileInfo containing the information found in the GZIP header of the data stream processed, or `nullptr` if the header was not yet fully processed, is not present at all, or the compressor's ZlibDecompressor::property_format() property is not ZLIB_COMPRESSOR_FORMAT_GZIP.

Since glibmm 2.26:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_format()

Glib::PropertyProxy_ReadOnly< ZlibCompressorFormat > Gio::ZlibDecompressor::property_format | ( |  | ) | const

The format of the compressed data.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gio::ZlibDecompressor > wrap | ( | GZlibDecompressor * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.